// ignore_for_file: must_be_immutable

import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vitalapp/pages/patient/create/controller.dart';
import 'package:vitalapp/pages/patient_info/view.dart';

class PatientInfo extends GetView<CreatePatientController> {
  final ScrollController scrollController = ScrollController();
  PatientInfo({super.key, this.isNotScanCode = true});
  bool? isNotScanCode;

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.only(bottom: 80),
      child: _buildContent(),
    );
  }

  Widget _buildContent() {
    return Scrollbar(
      controller: scrollController,
      child: SingleChildScrollView(
        controller: scrollController,
        child: Column(
          children: [
            PatientInfomationPage(
              isNeedSyncAddressCheck: true,
              isCanEditId: true,
              isRequiredName: true,
              isRequiredCard: true,
            ),
          ],
        ),
      ),
    );
  }
}
