import 'package:vitalapp/architecture/defines.dart';
import 'package:vitalapp/store/store.dart';

import 'state.dart';

class TraditionalChineseMedicineConstitutionController extends FControllerBase {
  final state = TraditionalChineseMedicineConstitutionState();
  late String patientCode;

  @override
  void onReady() {
    update(["traditionalChineseMedicineConstitution"]);
    patientCode = Store.user.currentSelectPatientInfo?.code ?? '';
    super.onReady();
  }
}
