import 'package:fis_ui/index.dart';
import 'package:flutter/material.dart';

///行区分占位UI
class RowSeparator extends FStatelessWidget {
  const RowSeparator({super.key});

  @override
  FWidget build(BuildContext context) {
    FDivider divider;
    EdgeInsetsGeometry padding;
    if (kIsMobile) {
      divider = const FDivider(
        thickness: 1,
        color: Colors.grey,
      );
      padding = const EdgeInsets.only(
        left: 10,
        right: 10,
      );
    } else {
      divider = const FDivider(
        height: 1,
        color: Colors.grey,
      );
      padding = const EdgeInsets.only(
        left: 6,
        right: 6,
      );
    }
    return FPadding(
      padding: padding,
      child: divider,
    );
  }
}
