import 'package:get/get.dart';

import 'default_entry_configuration.dart';
import 'report_editor_configuration.dart';
import 'setup.dart';

///初始化服务
Future<void> initServices() async {
  ServiceSetup().build(
    builder: () async {
      // 全局
      Get.lazyPut(() => DefaultEntryService());
      Get.lazyPut(() => LocalReportEditorService());
      Get.lazyPut(() => LocalReportEditorService());
    },
    webBuilder: () async {
      // 纯Web
    },
    shellBuilder: () async {
      // 套壳Web - Win
    },
    nativeBuilder: () async {
      // 原生 - iOS/Android
    },
  );
}
