import 'package:vitalapp/database/db.dart';

import 'base.dart';

class DatabasePatchV3 extends BaseDatabasePatch {
  DatabasePatchV3(super.database);

  @override
  int get targetVersion => 2;

  @override
  Future<void> executeTask() async {
    // patient表新增字段
    await db.database
        .execute("ALTER TABLE patients ADD COLUMN extCode VARCHAR(100) NULL;");
  }
}
