import 'package:vital_local_database/index.dart';
import 'package:vitalapp/database/entities/exam_batch.dart';

abstract class IExamBatchRepository
    implements IDbRepositroy<ExamBatchEntity, ExamBatchColumnsDefine> {
  /// 查询居民所有体检批次列表
  ///
  /// [patientCode] 居民Code
  ///
  /// [userCode] 医生Code
  Future<List<ExamBatchEntity>> queryPatientAllList(
      String patientCode, String userCode);
}
