import 'package:vitalapp/database/entities/defines.dart';

class OfflineRecordModel {
  final String patientName;
  final String patientCode;
  final String cardNo;
  final OfflineDataSyncState state;
  final bool isPatientUpdate;
  final int diagnosisCount;
  final int followUpCount;

  OfflineRecordModel({
    required this.patientName,
    required this.patientCode,
    required this.cardNo,
    required this.state,
    required this.isPatientUpdate,
    required this.diagnosisCount,
    required this.followUpCount,
  });

  factory OfflineRecordModel.fromJson(Map<String, dynamic> jsonMap) {
    // TODO
    return OfflineRecordModel(
      cardNo: '',
      diagnosisCount: 0,
      followUpCount: 0,
      isPatientUpdate: false,
      patientCode: '',
      patientName: '',
      state: OfflineDataSyncState.wait,
    );
  }
}
