import 'package:flutter/material.dart';
import 'package:vitalapp/pages/medical/widgets/health_check/view.dart';
import 'package:vitalapp/pages/traditional_chinese_medicine_constitution/view.dart';

class TraditionalChineseCheck extends StatelessWidget {
  TraditionalChineseCheck({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      resizeToAvoidBottomInset: false,
      body: Container(
        height: double.maxFinite,
        color: Colors.white,
        child: HealthCheck(
          checkKey: "HEITCMC",
          checkDialog: TraditionalChineseMedicineConstitutionView(),
        ),
      ),
    );
  }
}
