import 'package:flutter/material.dart';
import 'package:vitalapp/components/button.dart';

abstract class BaseGenerateWidget extends StatefulWidget {
  Widget child();

  void doPrint();

  const BaseGenerateWidget({Key? key}) : super(key: key);

  @override
  State<StatefulWidget> createState() => _BaseGenerateWidgetState();
}

class _BaseGenerateWidgetState extends State<BaseGenerateWidget> {
  @override
  Widget build(BuildContext context) {
    return Container(
      color: Colors.white,
      child: Center(
        child: SingleChildScrollView(
          scrollDirection: Axis.vertical,
          child: Column(
            children: [
              widget.child(),
              VButton(
                onTap: () {
                  widget.doPrint();
                },
                child: Text("打印"),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
