import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vitalapp/pages/patient/info/controller.dart';
import 'package:vitalapp/pages/patient_info/view.dart';

class PatientInfoBaseView extends GetView<PatientInfoController> {
  const PatientInfoBaseView({super.key});

  @override
  Widget build(BuildContext context) {
    final scrollerController = ScrollController();
    return Scrollbar(
      controller: scrollerController,
      child: SingleChildScrollView(
        controller: scrollerController,
        padding: const EdgeInsets.only(left: 16, right: 16, bottom: 50),
        child: PatientInfomationPage(),
      ),
    );
  }
}
