import 'package:vitalapp/architecture/defines.dart';
import 'package:vitalapp/managers/interfaces/models/patient_information.dart';
import 'package:vitalapp/pages/patient/info/widgets/ext_model.dart';
import 'package:vitalapp/pages/patient_info/state.dart';

class PatientInfomationController extends FControllerBase {
  final state = PatientInfomationState();

  @override
  void onReady() {
    super.onReady();
    //_loadData();
  }

  /// 处理 “同户籍地址” 勾选变更事件
  void onSyncAddressCheckChanged(bool isChecked) {
    state.isSyncAddresses = isChecked;
    if (isChecked) {
      // 同步户籍地址到现住地址
      state.address = state.permanentResidenceAddress;
    } else {
      state.address = "";
    }
  }
}
